#include <stdint.h>

#include <kernel/tty.h>
#include <stdio.h>
#include "serial.h"
#include "gdt.c"
#include "interrupts.c"
//#include "timer.c"
#include "keyboard.c"
//#include "paging.h"

void kernel_early_main(void) {
  gdt_init();
  init_serial();
  serial_printf("gdt initialized!\n");
  idt_init();
  serial_printf("idt initialized!\n");
  //init_timer(50); // Initialise timer to 50Hz
  serial_printf("timer initialized!\n");
  //init_paging(); 
  //serial_printf("paging initialized!\n");
  terminal_initialize();
  init_keyboard();
}
